Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Botan::XMSS_WOTS_PublicKey::TreeSignature Class Reference

`#include <xmss_wots_publickey.h>`

## Public Member Functions
const wots_keysig_t & | authentication_path () const
wots_keysig_t & | authentication_path ()
const wots_keysig_t & | ots_signature () const
wots_keysig_t & | ots_signature ()
| TreeSignature ()=default
| TreeSignature (const wots_keysig_t &ots_sig, const wots_keysig_t &auth_path)
| TreeSignature (wots_keysig_t &&ots_sig, wots_keysig_t &&auth_path)

## Detailed Description

Definition at line 35 of file xmss_wots_publickey.h.

## Constructor & Destructor Documentation

Botan::XMSS_WOTS_PublicKey::TreeSignature::TreeSignature | ( |  | ) |
| default

Botan::XMSS_WOTS_PublicKey::TreeSignature::TreeSignature | ( | const wots_keysig_t & | ots_sig,
|  | const wots_keysig_t & | auth_path
| ) |  |
| inline

Definition at line 40 of file xmss_wots_publickey.h.

42 : m_ots_sig(ots_sig), m_auth_path(auth_path)
43 {}

Botan::XMSS_WOTS_PublicKey::TreeSignature::TreeSignature | ( | wots_keysig_t && | ots_sig,
|  | wots_keysig_t && | auth_path
| ) |  |
| inline

Definition at line 45 of file xmss_wots_publickey.h.

47 : m_ots_sig(std::move(ots_sig)),
48 m_auth_path(std::move(auth_path))
49 {}

## Member Function Documentation

const wots_keysig_t& Botan::XMSS_WOTS_PublicKey::TreeSignature::authentication_path | ( |  | ) | const
| inline

Definition at line 61 of file xmss_wots_publickey.h.

Referenced by Botan::XMSS_Signature::bytes(), and Botan::XMSS_Signature::XMSS_Signature().

62 {
63 return m_auth_path;
64 }

wots_keysig_t& Botan::XMSS_WOTS_PublicKey::TreeSignature::authentication_path | ( |  | ) |
| inline

Definition at line 66 of file xmss_wots_publickey.h.

67 {
68 return m_auth_path;
69 }

const wots_keysig_t& Botan::XMSS_WOTS_PublicKey::TreeSignature::ots_signature | ( |  | ) | const
| inline

Definition at line 51 of file xmss_wots_publickey.h.

Referenced by Botan::XMSS_Signature::bytes(), and Botan::XMSS_Signature::XMSS_Signature().

52 {
53 return m_ots_sig;
54 }

wots_keysig_t& Botan::XMSS_WOTS_PublicKey::TreeSignature::ots_signature | ( |  | ) |
| inline

Definition at line 56 of file xmss_wots_publickey.h.

57 {
58 return m_ots_sig;
59 }

The documentation for this class was generated from the following file:

- src/lib/pubkey/xmss/xmss_wots_publickey.h